<?php

namespace Wino;

class RunImportSessionCommand {
  public const ACTION = 'wino-run-import-session';

  /** @return void */
  public static function initialize() {
    addAjaxAction(self::ACTION, AjaxErrorHandler::throw(), function () {
      return self::handle();
    });
  }

  /** @return AjaxResponse */
  public static function handle() {
    FormHandling::verifyPostNonce(self::ACTION);
    Auth::verifyAdminCapability();

    $log = InMemoryLog::empty();
    $response = AjaxResponse::from($log);

    $import = ImportSession::persisted(DataScope::none());
    if ($import === null) return $response;

    set_time_limit(0);

    $context = ImportContext::fromConfiguration();
    $translator = LocaleTranslator::fromConfiguration();
    $import->run($context, $translator);

    return $response;
  }

  /** @return Render */
  public static function ajaxAction() {
    return ajaxActionRender(self::ACTION);
  }
}
