<?php

namespace Wino;

spl_autoload_register(function () {
    include_once __DIR__ . '/dir.php';

    include_once __DIR__ . '/prim/index.php';
    include_once __DIR__ . '/prim/arrays.php';
    include_once __DIR__ . '/prim/objects.php';
    include_once __DIR__ . '/prim/time.php';
    include_once __DIR__ . '/prim/logging.php';
    include_once __DIR__ . '/prim/env.php';
    include_once __DIR__ . '/prim/curl.php';
    include_once __DIR__ . '/prim/parsing.php';
    include_once __DIR__ . '/prim/caching.php';
    include_once __DIR__ . '/prim/pagination.php';
    include_once __DIR__ . '/prim/strings.php';
    include_once __DIR__ . '/prim/uuid.php';
    include_once __DIR__ . '/prim/html.php';

    include_once __DIR__ . '/wordpress/wp.constants.php';
    include_once __DIR__ . '/wordpress/wp.queries.args.php';
    include_once __DIR__ . '/wordpress/wp.queries.php';
    include_once __DIR__ . '/wordpress/wp.logging.php';
    include_once __DIR__ . '/wordpress/wp.html.php';
    include_once __DIR__ . '/wordpress/wp.rest.php';
    include_once __DIR__ . '/wordpress/wp.ajax.php';
    include_once __DIR__ . '/wordpress/wp.forms.php';
    include_once __DIR__ . '/wordpress/wp.admin.php';
    include_once __DIR__ . '/wordpress/wp.routes.php';

    include_once __DIR__ . '/configuration/Configuration.api-url.php';
    include_once __DIR__ . '/configuration/Configuration.api-key.php';

    include_once __DIR__ . '/wino-api/WinoApiClient.php';
    include_once __DIR__ . '/wino-api/Categories.php';
    include_once __DIR__ . '/wino-api/Shops.php';
    include_once __DIR__ . '/wino-api/Devices.php';
    include_once __DIR__ . '/wino-api/Prices.php';
    include_once __DIR__ . '/wino-api/StockActivities.php';
    include_once __DIR__ . '/wino-api/Taxes.php';
    include_once __DIR__ . '/wino-api/Variants.php';
    include_once __DIR__ . '/wino-api/WinoApiWebhooks.php';

    include_once __DIR__ . '/core/wino-app.php';
    include_once __DIR__ . '/core/DataScope.php';
    include_once __DIR__ . '/core/PriceLists.php';
    include_once __DIR__ . '/core/Categories.php';
    include_once __DIR__ . '/core/Taxes.php';
    include_once __DIR__ . '/core/Products.php';
    include_once __DIR__ . '/core/Orders.php';
    include_once __DIR__ . '/core/UpdateProxy.php';
    include_once __DIR__ . '/core/CategoryUpdateProxy.php';
    include_once __DIR__ . '/core/ProductUpdateProxy.php';
    include_once __DIR__ . '/core/Monitoring.php';

    include_once __DIR__ . '/configuration/Configuration.locale.php';
    include_once __DIR__ . '/configuration/Configuration.shop-id.php';
    include_once __DIR__ . '/configuration/Configuration.price-list.php';
    include_once __DIR__ . '/configuration/Configuration.categories-import-enabled.php';
    include_once __DIR__ . '/configuration/Configuration.root-category.php';
    include_once __DIR__ . '/configuration/Configuration.explicit-categories-hierarchy-enabled.php';
    include_once __DIR__ . '/configuration/Configuration.prices-update-enabled.php';
    include_once __DIR__ . '/configuration/Configuration.product-description-update-enabled.php';
    include_once __DIR__ . '/configuration/Configuration.product-name-update-enabled.php';
    include_once __DIR__ . '/configuration/Configuration.sku-based-import-enabled.php';
    include_once __DIR__ . '/configuration/Configuration.stock-management-override-enabled.php';
    include_once __DIR__ . '/configuration/Configuration.product-description-format.php';
    include_once __DIR__ . '/configuration/Configuration.synchronization-enabled.php';
    include_once __DIR__ . '/configuration/Configuration.monitoring-enabled.php';

    include_once __DIR__ . '/import/DataImport.php';
    include_once __DIR__ . '/import/ImportContext.php';
    include_once __DIR__ . '/import/ImportSession.php';
    include_once __DIR__ . '/import/CategoriesImport.queries.php';
    include_once __DIR__ . '/import/CategoriesImport.php';
    include_once __DIR__ . '/import/TaxesImport.queries.php';
    include_once __DIR__ . '/import/TaxesImport.php';
    include_once __DIR__ . '/import/ProductsImport.queries.php';
    include_once __DIR__ . '/import/ProductsImport.php';
    include_once __DIR__ . '/import/WinoApiSynchronization.php';

    include_once __DIR__ . '/admin-page/AdminPage.save-configuration-command.php';
    include_once __DIR__ . '/admin-page/AdminPage.delete-data-command.php';
    include_once __DIR__ . '/admin-page/AdminPage.start-import-session-command.php';
    include_once __DIR__ . '/admin-page/AdminPage.run-import-session-command.php';
    include_once __DIR__ . '/admin-page/AdminPage.flush-import-session-command.php';
    include_once __DIR__ . '/admin-page/AdminPage.check-import-session-progress-command.php';
    include_once __DIR__ . '/admin-page/AdminPage.php';
    include_once __DIR__ . '/admin-page/CatalogAdminPage.php';
    include_once __DIR__ . '/admin-page/ReleasePage.php';
    include_once __DIR__ . '/admin-page/MonitoringPage.php';

    include_once __DIR__ . '/translation/index.php';
    include_once __DIR__ . '/translation/fr.php';
    include_once __DIR__ . '/translation/locale.php';

    return true;
});
