<?php

namespace Wino;

interface ConfigurationApiUrlTranslator {
  /** @return string */
  public function configurationApiUrlLabel();
}

class ConfigurationApiUrl {
  public const OPTION = 'wino-api-url';
  public const DEFAULT = '';

  /** @return string */
  public static function label(ConfigurationApiUrlTranslator $translator) {
    return $translator->configurationApiUrlLabel();
  }

  /** @return string */
  public static function value() {
    return textConfigurationValue(self::OPTION, self::DEFAULT);
  }

  /** @return void */
  public static function save() {
    saveTextConfigurationValue(self::OPTION);
  }

  /** @return Render */
  public static function textField(ConfigurationApiUrlTranslator $translator) {
    return configurationTextFieldRender(
      self::label($translator),
      self::OPTION,
      self::value(),
      ConfigurationFieldMode::adminDebug()
    );
  }
}
