<?php

namespace Wino;

interface ConfigurationCategoriesImportEnabledTranslator {
  /** @return string */
  public function categoriesImportEnabledLabel();
}

class ConfigurationCategoriesImportEnabled {
  public const OPTION = 'wino-categories-import-enabled';
  public const DEFAULT = false;

  /** @return string */
  public static function label(ConfigurationCategoriesImportEnabledTranslator $translator) {
    return $translator->categoriesImportEnabledLabel();
  }

  /** @return void */
  public static function save() {
    saveBooleanConfigurationValue(self::OPTION);
  }

  /** @return bool */
  public static function value() {
    return booleanConfigurationValue(self::OPTION, self::DEFAULT);
  }

  /** @return Render */
  public static function checkboxWithConditionalBlock(
    ConfigurationCategoriesImportEnabledTranslator $translator,
    Render $conditionalBlock
  ) {
    return configurationCheckboxRenderWithConditionalBlock(
      self::label($translator),
      self::OPTION,
      self::value(),
      ConfigurationFieldMode::adminSave(),
      $conditionalBlock
    );
  }
}
