<?php

namespace Wino;

interface ConfigurationExplicitCategoriesHierarchyEnabledTranslator {
  /** @return string */
  public function explicitCategoriesHierarchyEnabledLabel();
}

class ConfigurationExplicitCategoriesHierarchyEnabled {
  public const OPTION = 'wino-explicit-categories-hierarchy-enabled';
  public const DEFAULT = false;

  /** @return string */
  public static function label(
    ConfigurationExplicitCategoriesHierarchyEnabledTranslator $translator
  ) {
    return $translator->explicitCategoriesHierarchyEnabledLabel();
  }

  /** @return void */
  public static function save() {
    saveBooleanConfigurationValue(self::OPTION);
  }

  /** @return bool */
  public static function value() {
    return booleanConfigurationValue(self::OPTION, self::DEFAULT);
  }

  /** @return Render */
  public static function checkbox(ConfigurationExplicitCategoriesHierarchyEnabledTranslator $translator) {
    return configurationCheckboxRender(
      self::label($translator),
      self::OPTION,
      self::value(),
      ConfigurationFieldMode::adminSave()
    );
  }
}
