<?php

namespace Wino;

interface ConfigurationLocaleTranslator {
  /** @return string */
  public function configurationLocaleLabel();
}

class ConfigurationLocale {
  public const DEFAULT = '';

  /** @return  string */
  public static function option(?int $userId = null) {
    $id = $userId === null ? get_current_user_id() : $userId;
    return sanitize_title("wino-user-locale-$id");
  }

  /** @return string */
  public static function label(ConfigurationLocaleTranslator $translator) {
    return $translator->configurationLocaleLabel();
  }

  /** @return string */
  public static function value(?int $userId = null) {
    return textConfigurationValue(self::option($userId), self::DEFAULT);
  }

  /** @return void */
  public static function save(?int $userId = null) {
    saveTextConfigurationValue(self::option($userId));
  }
}
