<?php

namespace Wino;

interface ConfigurationMonitoringEnabledTranslator {
  /** @return string */
  public function configurationMonitoringEnabledLabel();
}

class ConfigurationMonitoringEnabled {
  public const OPTION = 'wino-monitoring-enabled';
  public const DEFAULT = false;

  /** @return string */
  public static function label(ConfigurationMonitoringEnabledTranslator $translator) {
    return $translator->configurationMonitoringEnabledLabel();
  }

  /** @return void */
  public static function save() {
    saveBooleanConfigurationValue(self::OPTION);
  }

  /** @return bool */
  public static function value() {
    return booleanConfigurationValue(self::OPTION, self::DEFAULT);
  }

  /** @return Render */
  public static function checkbox(ConfigurationMonitoringEnabledTranslator $translator) {
    return configurationCheckboxRender(
      self::label($translator),
      self::OPTION,
      self::value(),
      ConfigurationFieldMode::adminSave()
    );
  }
}
