<?php

namespace Wino;

interface ConfigurationPricesUpdateEnabledTranslator {
  /** @return string */
  public function configurationPricesUpdateEnabledLabel();
}

class ConfigurationPricesUpdateEnabled {
  public const OPTION = 'wino-prices-update-enabled';
  public const DEFAULT = true;

  /** @return string */
  public static function label(ConfigurationPricesUpdateEnabledTranslator $translator) {
    return $translator->configurationPricesUpdateEnabledLabel();
  }

  /** @return void */
  public static function save() {
    saveBooleanConfigurationValue(self::OPTION);
  }

  /** @return bool */
  public static function value() {
    return booleanConfigurationValue(self::OPTION, self::DEFAULT);
  }

  /** @return Render */
  public static function checkbox(ConfigurationPricesUpdateEnabledTranslator $label) {
    return configurationCheckboxRender(
      self::label($label),
      self::OPTION,
      self::value(),
      ConfigurationFieldMode::adminSave()
    );
  }
}
