<?php

namespace Wino;

interface ConfigurationProductsDescriptionsUpdateEnabledTranslator {
  /** @return string */
  public function configurationProductsDescriptionsUpdateEnabledLabel();
}

class ConfigurationProductsDescriptionsUpdateEnabled {
  public const OPTION = 'wino-product-description-update-enabled';
  public const DEFAULT = false;

  /** @return string */
  public static function label(ConfigurationProductsDescriptionsUpdateEnabledTranslator $translator) {
    return $translator->configurationProductsDescriptionsUpdateEnabledLabel();
  }

  /** @return void */
  public static function save() {
    saveBooleanConfigurationValue(self::OPTION);
  }

  /** @return bool */
  public static function value() {
    return booleanConfigurationValue(self::OPTION, self::DEFAULT);
  }

  /** @return Render */
  public static function checkbox(ConfigurationProductsDescriptionsUpdateEnabledTranslator $translator) {
    return configurationCheckboxRender(
      self::label($translator),
      self::OPTION,
      self::value(),
      ConfigurationFieldMode::adminSave()
    );
  }
}
