<?php

namespace Wino;

interface ConfigurationProductsNamesUpdateEnabledTranslator {
  /** @return string */
  public function configurationProductsNamesUpdateEnabledLabel();
}

class ConfigurationProductsNamesUpdateEnabled {
  public const OPTION = 'wino-product-name-update-enabled';
  public const DEFAULT = false;

  /** @return string */
  public static function label(ConfigurationProductsNamesUpdateEnabledTranslator $translator) {
    return $translator->configurationProductsNamesUpdateEnabledLabel();
  }

  /** @return void */
  public static function save() {
    saveBooleanConfigurationValue(self::OPTION);
  }

  /** @return bool */
  public static function value() {
    return booleanConfigurationValue(self::OPTION, self::DEFAULT);
  }

  /** @return Render */
  public static function checkbox(ConfigurationProductsNamesUpdateEnabledTranslator $translator) {
    return configurationCheckboxRender(
      self::label($translator),
      self::OPTION,
      self::value(),
      ConfigurationFieldMode::adminSave()
    );
  }
}
