<?php

namespace Wino;

interface ConfigurationSkuBasedImportEnabledTranslator {
  /** @return string */
  public function configurationSkuBasedImportEnabledLabel();
}

class ConfigurationSkuBasedImportEnabled {
  public const OPTION = 'wino-sku-based-import-enabled';
  public const DEFAULT = false;

  /** @return string */
  public static function label(ConfigurationSkuBasedImportEnabledTranslator $translator) {
    return $translator->configurationSkuBasedImportEnabledLabel();
  }

  /** @return void */
  public static function save() {
    saveBooleanConfigurationValue(self::OPTION);
  }

  /** @return bool */
  public static function value() {
    return booleanConfigurationValue(self::OPTION, self::DEFAULT);
  }

  /** @return Render */
  public static function checkbox(ConfigurationSkuBasedImportEnabledTranslator $translator) {
    return configurationCheckboxRender(
      self::label($translator),
      self::OPTION,
      self::value(),
      ConfigurationFieldMode::adminSave()
    );
  }
}
