<?php

namespace Wino;

interface ConfigurationStockManagementOverrideEnabledTranslator {
  /** @return string */
  public function configurationStockManagementOverrideEnabledLabel();
}

class ConfigurationStockManagementOverrideEnabled {
  public const OPTION = 'wino-stock-management-override-enabled';
  public const DEFAULT = true;

  /** @return string */
  public static function label(ConfigurationStockManagementOverrideEnabledTranslator $translator) {
    return $translator->configurationStockManagementOverrideEnabledLabel();
  }

  /** @return void */
  public static function save() {
    saveBooleanConfigurationValue(self::OPTION);
  }

  /** @return bool */
  public static function value() {
    return booleanConfigurationValue(self::OPTION, self::DEFAULT);
  }

  /** @return Render */
  public static function checkbox(ConfigurationStockManagementOverrideEnabledTranslator $translator) {
    return configurationCheckboxRender(
      self::label($translator),
      self::OPTION,
      self::value(),
      ConfigurationFieldMode::adminSave()
    );
  }
}
