<?php

namespace Wino;

interface ConfigurationSynchronizationEnabledTranslator {
  /** @return string */
  public function configurationSynchronizationEnabledLabel();
}

class ConfigurationSynchronizationEnabled {
  public const OPTION = 'wino-synchronization-enabled';
  public const DEFAULT = false;

  /** @return string */
  public static function label(ConfigurationSynchronizationEnabledTranslator $translator) {
    return $translator->configurationSynchronizationEnabledLabel();
  }

  /** @return void */
  public static function save() {
    saveBooleanConfigurationValue(self::OPTION);
  }

  /** @return bool */
  public static function value() {
    return booleanConfigurationValue(self::OPTION, self::DEFAULT);
  }

  /** @return Render */
  public static function checkbox(ConfigurationSynchronizationEnabledTranslator $translator) {
    return configurationCheckboxRender(
      self::label($translator),
      self::OPTION,
      self::value(),
      ConfigurationFieldMode::adminSave()
    );
  }
}
