<?php

namespace Wino;

class PriceList {
  /** @return string */
  public static function normalizePriceName(WinoApiPrice $price) {
    return self::normalizeName($price->name);
  }

  /** @return string */
  public static function normalizeName(string $name) {
    return trim(strtolower($name));
  }

  /** @return bool */
  public static function nameEquals(string $a, string $b) {
    return self::normalizeName($a) === self::normalizeName($b);
  }

  /** @return bool */
  public static function priceNameEqualsName(WinoApiPrice $price, string $name) {
    return self::nameEquals($price->name, $name);
  }

  /** @return bool */
  public static function priceNameEquals(WinoApiPrice $a, WinoApiPrice $b) {
    return self::priceNameEqualsName($a, $b->name);
  }
}
