<?php

namespace Wino;

/** @return WinoCategory|null */
function findDefaultRootCategory(ImportContext $context) {
  $scope = $context->getScope();

  $id = $scope->winoApiRootCategoryId();
  $cached = $context->getCachedCategory($id);
  if ($cached !== null) return $cached;
  $winoRootCategoryTerm = findWordpressTerm(
    WinoCategory::TAXONOMY,
    "slug",
    $scope->winoApiRootCategorySlug()
  );
  if ($winoRootCategoryTerm === null) return null;

  $category = new WinoCategory($scope, $winoRootCategoryTerm);

  $winoIdMetaKey = $scope->winoIdMetaKey();
  $winoRootId = $scope->winoApiRootCategoryId();
  $metaId = $category->getWinoApiCategoryIdMeta();
  if ($metaId === null) updateWordpressTermMeta($winoRootCategoryTerm, $winoIdMetaKey, $winoRootId);

  return $context->cacheCategory($category);
}

/** @return WinoCategory|null */
function findRootCategory(ImportContext $context) {
  $scope = $context->getScope();

  $customRoot = $context->getCustomRootCategory();
  if ($customRoot !== null)
  if (!$customRoot->valid()) return null;
  else return $customRoot->asWinoCategory($scope);

  return findDefaultRootCategory($context);
}
