<?php

namespace Wino;

add_action('plugins_loaded', function () {
  $enableTests = getenv('NO_TESTS') !== "true";

  if ($enableTests) {
    $winoTestsIndexPath = __DIR__ . '/../wino-tests/index.php';
    $debugMode = isDebugModeEnabled();
    $testFileExists = file_exists($winoTestsIndexPath);

    if ($debugMode && $testFileExists) include_once $winoTestsIndexPath;
    if ($debugMode && !$testFileExists) writeLog(
      "Test file not found. This might mean the dev container needs to be restarted."
    );
  }

  AdminPage::initialize();
  CatalogAdminPage::initialize();
  ReleasePage::initialize();
  MonitoringPage::initialize();
  WinoApiSynchronization::initialize();
  StartImportSessionCommand::initialize();
  RunImportSessionCommand::initialize();
  CheckImportSessionProgressCommand::initialize();
  DeleteDataCommand::initialize();
  FlushImportSessionCommand::initialize();
  SaveConfigurationCommand::initialize();
});
