<?php

namespace Wino;

/**
 * @param \CurlHandle|resource $curlHandle
 * @return string
 */
function curlErrorLog($curlHandle) {
  /**
   * @var mixed
   * @psalm-suppress PossiblyInvalidArgument
   */
  $info = \curl_getinfo($curlHandle);
  /** @psalm-suppress PossiblyInvalidArgument */
  $error = \curl_error($curlHandle);
  return str(
    '\\n cURL info(' . jsonString($info) . ')',
    '\\n cURL error(' . jsonString($error) . ')'
  );
}

/** @return bool */
function isUrlValid(string $url) {
  if (parse_url($url) === false) return false;
  if (strContains($url, ' ')) return false;
  return true;
}
