<?php

namespace Wino;

class Constant {
  /** @return string */
  public static function arrayN() {
    /** @psalm-suppress UndefinedConstant */
    return (string)\ARRAY_N;
  }
  public const WORDPRESS_DEBUG = "WORDPRESS_DEBUG";
  public const WINO_DEBUG = "WINO_DEBUG";
  public const VENDOR_PREFIX = "wino";
  public const UNDEFINED_TERM_ID = 0;

  /** @return string */
  public static function concatVendorPrefix(
    string $vendorPrefix,
    string $separator,
    string $string
  ) {
    return $vendorPrefix . $separator . $string;
  }

  /** @return string */
  public static function vendorPrefixed(string $string) {
    return self::concatVendorPrefix(self::VENDOR_PREFIX, '', $string);
  }

  /** @return string */
  public static function vendorPrefixedSlug(string $string) {
    return sanitize_title(self::concatVendorPrefix(self::VENDOR_PREFIX, '-', $string));
  }
}

/** @return int */
function undefinedTermId() {
  return Constant::UNDEFINED_TERM_ID;
}

/** @return int|null */
function definedTermId(int $termId) {
  return $termId === undefinedTermId() ? null : $termId;
}

/** @return bool */
function isDebugModeEnabled() {
  $off = falsy();
  return !$off && getenv(Constant::WORDPRESS_DEBUG) === "true" && getenv(Constant::WINO_DEBUG) === "true";
}

/** @return string */
function pluginUrl(string $path) {
  return plugins_url("/wino$path", basename(__DIR__));
}
